https://sourceware.org/git/?p=valgrind.git;a=commit;h=dee222c6e818ca43ac45952fc8a020f445d98781
https://sourceware.org/git/?p=valgrind.git;a=commit;h=3155bacf26237beb65edb4a572402492b2f1b050

From dee222c6e818ca43ac45952fc8a020f445d98781 Mon Sep 17 00:00:00 2001
From: Paul Floyd <pjfloyd@wanadoo.fr>
Date: Fri, 27 Jan 2023 08:30:41 +0100
Subject: [PATCH] Bug 464859 - Build failures with GCC-13 (drd tsan_unittest)

Patch submitted by
	Khem Raj <raj.khem@gmail.com>
--- a/drd/tests/tsan_thread_wrappers_pthread.h
+++ b/drd/tests/tsan_thread_wrappers_pthread.h
@@ -55,6 +55,7 @@
 #define NO_TLS
 #endif
 
+#include <cstdint>
 #include <string>
 using namespace std;
 
-- 
2.31.1

From 3155bacf26237beb65edb4a572402492b2f1b050 Mon Sep 17 00:00:00 2001
From: Mark Wielaard <mark@klomp.org>
Date: Sat, 28 Jan 2023 21:53:44 +0100
Subject: [PATCH] tsan_thread_wrappers_pthread.h: Only include cstdint for
 C++11

Fixes build on older g++.
--- a/drd/tests/tsan_thread_wrappers_pthread.h
+++ b/drd/tests/tsan_thread_wrappers_pthread.h
@@ -55,7 +55,9 @@
 #define NO_TLS
 #endif
 
+#if __cplusplus >= 201103L
 #include <cstdint>
+#endif
 #include <string>
 using namespace std;
 
-- 
2.31.1
